Commit 4417472a authored by Alessandro Elias's avatar Alessandro Elias

Changes to generate iso for multiterminal 20180314.

Signed-off-by: Alessandro Elias's avatarAlessandro Elias <ae11@c3sl.ufpr.br>
parent 213bce91
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256
Origin: C3SL
Label: C3sl Live
Codename: stable
Version: 0.1
Date: Tue, 13 Mar 2018 22:11:30 UTC
Architectures: amd64
Components: main
Description: Repo description
MD5Sum:
59018cb27cc5551788657dad73ce5a8a 8865 main/binary-amd64/Packages
b39cb87438bd332a3a08a266cbf62a30 3716 main/binary-amd64/Packages.gz
3affbc31384297df1e1279986ce28007 109 main/binary-amd64/Release
SHA1:
d27bc3b0bdb9f75985bf0047d791d2394d8d90a6 8865 main/binary-amd64/Packages
f1e2baf980514fde102c0080cacfe30df7531bcd 3716 main/binary-amd64/Packages.gz
62ddebf7fa4462f1b6ea0be48ecd52f5bee8c3d1 109 main/binary-amd64/Release
SHA256:
3708a3d91da674c4a59552762c2dd155a17fe698667b712c8e6e16f27e890356 8865 main/binary-amd64/Packages
0305cddc434d8ec1b9bf3a6e34e96ed36580f8b12dcfc9e19e1b7bce857635cb 3716 main/binary-amd64/Packages.gz
4c25045f26f6fd6a5d535a2e9b5d2547ec346a6ec25fe4e96076cf255777c294 109 main/binary-amd64/Release
-----BEGIN PGP SIGNATURE-----
iQEzBAEBCAAdFiEETdRjWpCaP5m9xNDhq27UWrj/iCIFAlqoTJIACgkQq27UWrj/
iCIcrggAqnyp9ymPSSuMQuF+bDPVyJtKJCpQsLpfpWtBVh3hhayPlEW8dwaMbYGp
elcUfmJYhFiJ2Jt7y6JR8JLkezyNFFifXUX3hUNb5AfcaAK09tuofC+ZZtwb0LCZ
WDuPIZjIzzUj2aXXFrzuoKE8Qh/QhYK4RWjy6m9jdgdYMwVqqkOJPJk+9mzUY9lP
xewoyHdKcrT0lyKzIr7U2Cg0yWV7tVSRStn/j3dc2u3OYFrkLcw/eScVT+VR1nkA
FlbVotixBu7GGm+siwAmYtN8c9aGQdIgIGlikz30bJviB74XbuTEecaAOkchpzoi
Y8vZhGNpNvoGz+g1RQxvEgPCbXSJeA==
=0K4E
-----END PGP SIGNATURE-----
Origin: C3SL
Label: C3sl Live
Codename: stable
Version: 0.1
Date: Tue, 13 Mar 2018 22:11:30 UTC
Architectures: amd64
Components: main
Description: Repo description
MD5Sum:
59018cb27cc5551788657dad73ce5a8a 8865 main/binary-amd64/Packages
b39cb87438bd332a3a08a266cbf62a30 3716 main/binary-amd64/Packages.gz
3affbc31384297df1e1279986ce28007 109 main/binary-amd64/Release
SHA1:
d27bc3b0bdb9f75985bf0047d791d2394d8d90a6 8865 main/binary-amd64/Packages
f1e2baf980514fde102c0080cacfe30df7531bcd 3716 main/binary-amd64/Packages.gz
62ddebf7fa4462f1b6ea0be48ecd52f5bee8c3d1 109 main/binary-amd64/Release
SHA256:
3708a3d91da674c4a59552762c2dd155a17fe698667b712c8e6e16f27e890356 8865 main/binary-amd64/Packages
0305cddc434d8ec1b9bf3a6e34e96ed36580f8b12dcfc9e19e1b7bce857635cb 3716 main/binary-amd64/Packages.gz
4c25045f26f6fd6a5d535a2e9b5d2547ec346a6ec25fe4e96076cf255777c294 109 main/binary-amd64/Release
-----BEGIN PGP SIGNATURE-----
iQEzBAABCAAdFiEETdRjWpCaP5m9xNDhq27UWrj/iCIFAlqoTJIACgkQq27UWrj/
iCL30AgAnDSMzYQyj1f7JBUmLt+MIVlNpKE6LzGqKbzPKihRm5Azvnt+ZvS0DST4
+qpZDWZRwUI2IP01nPlxZilCiS2YmThFZzVdkb9dV686le0ULtCVAjo0hd/AhJdR
dQud0JFgYl2ANLISCFo7bnklayXfmEGRtdGOl9z/H7HLkl1WNlyJhF69UhEaAjqQ
HvKP67wjeBEdHi1i5P5kpQ5Sjd8igXbpIca5R3odp9nb3jPrxFwv/JH5E81jPp14
pUSDct3YXiJjTt2cquXyk1YmPzOu3YZpLTUM6hVPW/+CMLgTlGQ2lnWdWGpSzOxN
whHQShX23Zb0xCjSLF1EuZbbhXh61A==
=damZ
-----END PGP SIGNATURE-----
Package: compton
Version: 0.1~beta2-1
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Scott Leggett <scott@sl.id.au>
Installed-Size: 253
Depends: libc6 (>= 2.15), libconfig9, libdbus-1-3 (>= 1.1.1), libgl1-mesa-glx | libgl1, libpcre3 (>= 8.10), libx11-6, libxcomposite1 (>= 1:0.3-1), libxdamage1 (>= 1:1.1), libxext6, libxfixes3, libxinerama1, libxrandr2 (>= 4.3), libxrender1
Homepage: https://github.com/chjj/compton
Priority: extra
Section: x11
Filename: pool/main/c/compton/compton_0.1~beta2-1_amd64.deb
Size: 100764
SHA256: cd674f6687246bf7d6cdfb0b4f87281b11a7b912a94a4181b6104e5a6da19e21
SHA1: 55d3218a312f7402db11006fec3c4fb7ab3e6dbf
MD5sum: 8189a3382d6451cf5db740fefb6cf84e
Description: compositor for X11, based on xcompmgr
compton is a compositor for X11, based on xcompmgr. In addition to shadows,
fading and translucency, compton implements window frame opacity control,
inactive window transparency, and shadows on argb windows.
Package: curl
Version: 7.47.0-1ubuntu2.6
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Installed-Size: 331
Depends: libc6 (>= 2.17), libcurl3-gnutls (= 7.47.0-1ubuntu2.6), zlib1g (>= 1:1.1.4)
Multi-Arch: foreign
Homepage: http://curl.haxx.se
Priority: optional
Section: web
Filename: pool/main/c/curl/curl_7.47.0-1ubuntu2.6_amd64.deb
Size: 138468
SHA256: 7a01440e492e7a43d2273f128bf20e5ce430a1a87614b87bdf6479f72a77ee6a
SHA1: a9fea1d30d218c5d4be747975d6f3d7adf1dc165
MD5sum: 97901809e7758f430d0f7d5ae25e3619
Description: command line tool for transferring data with URL syntax
curl is a command line tool for transferring data with URL syntax, supporting
DICT, FILE, FTP, FTPS, GOPHER, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3,
POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, TELNET and TFTP.
.
curl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form
based upload, proxies, cookies, user+password authentication (Basic, Digest,
NTLM, Negotiate, kerberos...), file transfer resume, proxy tunneling and a
busload of other useful tricks.
Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
Package: le-conf
Version: 0.0.29
Architecture: all
Maintainer: Daniel Bissani Furlin <contato@c3sl.ufpr.br>
Installed-Size: 851
Depends: dconf-gsettings-backend | gsettings-backend, lightdm, adduser, gettext, language-pack-gnome-pt, language-pack-gnome-en, language-pack-gnome-es
Recommends: le-help
Priority: extra
Section: admin
Filename: pool/main/l/le-conf/le-conf_0.0.29_all.deb
Size: 835150
SHA256: 9bf6f707774f8be77861fb19eb53a122a306431afcc1e4a9594e3b01289251e7
SHA1: ece4246d9934f7be52621ee6f4dc41b331861c00
MD5sum: b9d1de66391dadb0094a47490d29c22d
Description: Configure Linux Educacional(Educational Linux)
Performs all initial configuration for Linux Educacional,
like create the users Aluno(Student), Professor(Teacher)
and Admin(Admin) being only the last one with root access,
hide grub on boot and change the background of the login
screen;
Package: le-multiterminal
Version: 1.0.0
Architecture: amd64
Maintainer: C3SL <contato@c3sl.ufpr.br>
Installed-Size: 98
Pre-Depends: lightdm
Depends: libc6 (>= 2.15), libcairo2 (>= 1.2.4), libx11-6, curl, xserver-xorg-video-siliconmotion-hwe-16.04, compton, numlockx, xserver-xephyr-hwe-16.04, systemd, policykit-1-gnome, pciutils
Priority: optional
Section: misc
Filename: pool/main/l/le-multiterminal/le-multiterminal_1.0.0_amd64.deb
Size: 15084
SHA256: b89974416751249728cd42a152421fd548b0ede0c2af37a3707800f314acaea1
SHA1: 0f5e1fe49314a3b2d390e43c4ec8cd686e653802
MD5sum: 122a0042fd237f8f59e8e2c165bef255
Description: Multiterminal Solution compatible with the system Linux Educational 6
Multi-terminal solution compatible with Linux Educational system 6.
The multi-terminal system configures up to three monitors simultaneously on
the same machine.
The solution relies heavily on the TN-502 video card and the Thinnetworks
Hubs, available on the 83/2008 and 71/2010 sessions of the Brazilian federal
government.
Package: libconfig9
Source: libconfig
Version: 1.5-0.2
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
Installed-Size: 67
Depends: libc6 (>= 2.14)
Multi-Arch: same
Homepage: http://www.hyperrealm.com/libconfig/
Priority: optional
Section: libs
Filename: pool/main/libc/libconfig/libconfig9_1.5-0.2_amd64.deb
Size: 21950
SHA256: a234b9997458a0324a2f05c7c8c3b2cce688ed3f945971e20303d1ca22d438f7
SHA1: 2dec90245816cb3d333bab320a3b4b340ad4d2ce
MD5sum: da1ef2bf9e913302c03302f96e99c6c5
Description: parsing/manipulation of structured configuration files
This library features a fully reentrant parser and includes bindings for
both the C and C++ programming languages. It runs on modern POSIX-compliant
systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
.
This library allows parsing, manipulating and writing structured configuration
files.
Package: numlockx
Version: 1.2-7
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Michal Čihař <nijel@debian.org>
Installed-Size: 69
Depends: libc6 (>= 2.4), libx11-6, libxtst6
Suggests: x-display-manager
Enhances: gdm, kdm, wdm, xdm
Homepage: http://home.kde.org/~seli/numlockx/
Priority: optional
Section: x11
Filename: pool/main/n/numlockx/numlockx_1.2-7_amd64.deb
Size: 8142
SHA256: e3031f91ca707eaebbf60e5c03e9ef75c445f98f87a2e1dec3732f2084b4f2a2
SHA1: 5310b745676c952cef88ab7a74ebf0e34396ed3e
MD5sum: 5c1586921cc33cb879b813894d42c4fa
Description: enable NumLock in X11 sessions
Utilities to enable the keyboard's Numeric Lock during X11
session initialization or using command line utility.
.
The package automatically installs session script to enable numlock
on session start.
Package: xserver-xephyr-hwe-16.04
Source: xorg-server-hwe-16.04
Version: 2:1.19.5-0ubuntu2~16.04.1
Architecture: amd64
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
Installed-Size: 2573
Depends: xserver-common, libaudit1 (>= 1:2.2.1), libbsd0 (>= 0.2.0), libc6 (>= 2.17), libepoxy0 (>= 1.0), libgcrypt20 (>= 1.6.1), libgl1-mesa-glx | libgl1, libpixman-1-0 (>= 0.30.0), libselinux1 (>= 2.0.82), libsystemd0, libudev1 (>= 183), libx11-6, libx11-xcb1, libxau6, libxcb-icccm4 (>= 0.4.1), libxcb-image0 (>= 0.2.1), libxcb-keysyms1 (>= 0.4.0), libxcb-randr0 (>= 1.1), libxcb-render-util0, libxcb-render0, libxcb-shape0, libxcb-shm0, libxcb-util1 (>= 0.4.0), libxcb-xkb1, libxcb-xv0 (>= 1.2), libxcb1 (>= 1.8), libxdmcp6, libxfont2 (>= 1:2.0.1), libxshmfence1
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Conflicts: xserver-xephyr
Replaces: xserver-xephyr
Provides: xorg-renamed-package, xorg-renamed-package-hwe-16.04, xserver, xserver-xephyr
Homepage: https://www.x.org/
Priority: optional
Section: x11
Filename: pool/main/x/xorg-server-hwe-16.04/xserver-xephyr-hwe-16.04_1.19.5-0ubuntu2~16.04.1_amd64.deb
Size: 917580
SHA256: 99c981e4453206d9effbb99f4aafd2ec35c2ddaf4f4ebabbebb4700478887c34
SHA1: 8d0fc362275bcc266c2e264ebc6942d686aae663
MD5sum: 784a3416fc848a933d873b80f5b486a4
Description: nested X server
Xephyr is an X server that can be run inside another X server,
much like Xnest. It is based on the kdrive X server, and as a
result it supports newer extensions than Xnest, including render and
composite.
.
More information about X.Org can be found at:
<URL:https://www.x.org>
.
This package is built from the X.org xserver module.
Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Package: xserver-xorg-video-siliconmotion-hwe-16.04
Version: 1:1.7.9-2ubuntu1~16.04.1
Architecture: amd64
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Installed-Size: 140
Depends: libc6 (>= 2.14), xorg-video-abi-23, xserver-xorg-core-hwe-16.04 (>= 2:1.18.99.901)
Conflicts: xserver-xorg-video-siliconmotion
Replaces: xserver-xorg-video-siliconmotion
Provides: xorg-driver-video, xorg-renamed-package, xorg-renamed-package-hwe-16.04, xserver-xorg-video-siliconmotion
Homepage: https://www.x.org
Priority: optional
Section: x11
Filename: pool/main/x/xserver-xorg-video-siliconmotion-hwe-16.04/xserver-xorg-video-siliconmotion-hwe-16.04_1.7.9-2ubuntu1~16.04.1_amd64.deb
Size: 48240
SHA256: 1ca8aa5cb9b4658963a6d7cb29ff8f04d4a4bdc7cde09a60001cb08e806f0182
SHA1: 82414f3dc91c96b221ac693a2d0199ecd206b191
MD5sum: 414b1750414d089f5f618ffec141966e
Description: X.Org X server -- SiliconMotion display driver
This package provides the driver for the SiliconMotion Lynx and Cougar family
of chipsets, commonly found in laptops.
.
This package is built from the X.org xf86-video-siliconmotion driver module.
Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Version: 0.1
Component: main
Origin: C3SL
Label: C3sl Live
Architecture: amd64
Description: Repo description
SHORTNAME=le6
TMP=/dev/shm/${_DIST}/
CHROOTDIR=/dev/shm/create-iso/
TMP=/home/ae/create-iso/tmp/${_DIST}/
CHROOTDIR=/home/ae/create-iso/overlay
CHROOTFILE=${TMP}/todo.sh
DISTRO=Linux_Educacional_6.0
DISTRO=Linux_Educacional_6.1.0
DPLIST=${PREFIX}/pkg-list/${_DIST}/dependencies.list
INSTLIST=${PREFIX}/pkg-list/${_DIST}/install.list
ISOLINUX=${PREFIX}/src/isolinux/
......@@ -12,3 +12,4 @@ RMDSKT=${PREFIX}/pkg-list/${_DIST}/remove-desktop.list
RMLIST=${PREFIX}/pkg-list/${_DIST}/remove.list
SCRIPTSDIR=${PREFIX}/scripts-enabled/${_DIST}/
SOURCESLISTDEFAULT=${PREFIX}/sources-list/${_DIST}/default.list
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQENBFqihLQBCADBIL8QUZnkfLApHy2u4WjO7V5y/2iaoxmAtsbAkdR72HRkM5Z+
mA+gNMdmfA+RXQX2iveC9Ekq5+B6NiSPuLhmDWoLU9giLzZuzldeq1ii4HSsIMFW
t1CfO6iYMoB+EJJTNau4MXOLaH9dlNihKKCtTToT6uWUz8f9cwnaimOsB1Gdu8Qo
g90AKKK+pXCjt4h50pzB2iJwE55+2qEwWTXF6dIqiZRuXITA8dYbGYZuTiFODHK+
60O4bxy4WFI58CxvCMHZjierUNmlKpcr6r6lfn+s1EtN6Sa9sDCSQm5ae6xH/YWX
PoLEML/1vCZANOTRZTrDu7ee/GJnkTcxaYT5ABEBAAG0IEMzU0wgTGl2ZSA8Y29u
dGF0b0BjM3NsLnVmcHIuYnI+iQFOBBMBCAA4FiEETdRjWpCaP5m9xNDhq27UWrj/
iCIFAlqihLQCGwMFCwkIBwIGFQgJCgsCBBYCAwECHgECF4AACgkQq27UWrj/iCJU
vwf9HlOqLIY+paiOEPWuI5uX3t6dlghR+WQuWEwphVnSIy11KlEtKHjRAPcZxUaX
VdiM7hMtfMzH5QQogKa3mnTKxyasQ4K1h1Lwj5tXObXbQcYFPhup+Hgu42qf7M4m
DXp7XHd1QEOztBepFwWHHWU+9poNOstoi+c/rpWzDo8hQUYsGMMF2a9oJy0qKjEB
GriiKjMVE6cs7acyG8g0qyDw6kxCX29qAYdZ/Us7eIzcMU2iSC+qHxQCJ8NULkOe
HDI+HhN26HPJXw9/NXuk8trL+3UpEj3nK3SqJiyRcT+uudFFXLPUTDbwCUfLev/h
zc5z1kAgkRnsB9M9HuyRSQiERLkBDQRaooS0AQgAw9e1N1gsAx6rA+HzfWKKGfZq
xXU289675fDh6hwj5Nhfm/dDqhctAJTEFJjY6dVDvrg+/0Y0UG3JsgRHLCBu8ad7
bF2eSatSrXtni6bEpAJcN21Kj6gHklqugdKvl6qv1hQGyYxqXjq92gKg4sz0JGsW
yd1ufKlEXPOVinK6tOw3nY2/KdH8C0E+JsJIbe316YLSasqMEZWTSvoZN95uF7M6
B/wrQX1kC1UBIfJ7q9Qs5yNMnjnbUtIzo9eBRZl95n+yabp6NNSX/zGFaypdpE/l
/RFMHLYL3x7OOREvtXbfVWsjn1J4UzFTVuFxR+tlrip5cmYR2z0x9FzMJkVZ+wAR
AQABiQE2BBgBCAAgFiEETdRjWpCaP5m9xNDhq27UWrj/iCIFAlqihLQCGwwACgkQ
q27UWrj/iCL5/QgAi8C23ASuadB/7An6jVdwI0cFRWxcExBa+pmlzzTORJPhtrPD
LHB+y/hsc3m/Kf557/tHVuxqDa22HhFHVuVFaoqUPqyO3jEvFBqJeefB9Y9nlXrx
c4W0RDS19ov4uwE1CdU40W6yU34sRm3eGxWOc2I072PwLqM7DJhZFlwLo+0JWyce
AqAm6aaUQULNsWr0u+tA7Ns6ZC7nE8aQxLFKjB+DiswxuK/X8SX1RNyt22CQzn4n
Wq93ZGPFap8J9wN4h3iOiiSI8gBeMFLUMdfR1/SoQ7NiQOZnJyGczsnpffTyzlZm
DqdwgqA5dKXz8nRPyreqomYsm380qX12qCDn+Q==
=SYDZ
-----END PGP PUBLIC KEY BLOCK-----
#le-all
le-all
#linux-generic-hwe-16.04
#xserver-xorg-hwe-16.04
......@@ -39,7 +39,7 @@ PREFIX=$PWD
source ${PREFIX}/common.sh
sudo mksquashfs $CHROOTDIR ${TMP}/image/casper/filesystem.squashfs ||\
sudo mksquashfs $CHROOTDIR ${TMP}/image/casper/filesystem.squashfs -b 1M -no-recovery ||\
log ERROR "Failed to compress ${CHROOTDIR}."
(cd ${TMP}/image && find . -type f -print0 | xargs -0 md5sum | grep -v "\./md5sum.txt" > md5sum.txt) ||\
log ERROR "Failed to generate md5sum."
......
......@@ -39,8 +39,8 @@ PREFIX=$PWD
source ${PREFIX}/common.sh
cat ${DPLIST} | grep -v '^#' | tr '\n' ''
addToChrootFile $CHROOTFILE "env PATH='/fakebin:${PATH}'"
cat ${DPLIST} | grep -v '^#' | tr '\n' ' '
addToChrootFile $CHROOTFILE "export PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y install $(cat ${DPLIST} | grep -v '^#' | tr '\n' ' ')"
initChroot $_DIST || \
......
......@@ -39,9 +39,9 @@ PREFIX=$PWD
source ${PREFIX}/common.sh
addToChrootFile $CHROOTFILE "env PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "export PATH='/fakebin:${PATH}'"
addToChrootFile $CHROOTFILE "export DEBIAN_FRONTEND=noninteractive"
#addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t testing install le-live-all"
#addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t testing install $(cat ${INSTLIST} | grep -v '^#' | tr '\n' ' ')"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t stable install le-live-all"
addToChrootFile $CHROOTFILE "apt-get update && apt-get -q -y -t stable install $(cat ${INSTLIST} | grep -v '^#' | tr '\n' ' ')"
exit 0
......@@ -52,25 +52,28 @@ if [ "$(ls "${CHROOTDIR}/boot/" | grep -c "initrd.*")" -gt "1" ]; then
fi
echo "initname = '${initname}'"
cd ${PREFIX}/initrd
gzip -dc ${PREFIX}/${initname} | cpio -id
gzip -dc ${PREFIX}/${initname} | cpio -i
cp ${PREFIX}/src/preseed/preseed.cfg ${PREFIX}/initrd/
broken_links=$(find . -type l ! -exec test -e {} \; -print)
for broken_link in ${broken_links}; do
path_file=$(readlink -m ${broken_link})
# Expand path_file and remove prefix presents in broken_link variable
# ex: path_file = /usr/share/plymouth/themes/le-text/le-text.plymouth
# $(dirname broken_link) = ./usr/share/plymouth/themes/
# so relative_path = le-text/le-text.plymouth
# parameter expansion used "${PARAMETER#PATTERN}" remove substring from PARAMETER that matches with PATTHERN
link_dir=$(dirname ${broken_link})
link_name=$(basename ${broken_link})
cd ${link_dir}
relative_path=${path_file#*${link_dir#.}/}
rm ${link_name}
ln -s ${relative_path} ${link_name}
cd -
done
find . | cpio --quiet --dereference -o -H newc | lzma -7 > ../initrd.lz
#broken_links=$(find . -type l ! -exec test -e {} \; -print)
#for broken_link in ${broken_links}; do
# path_file=$(readlink -m ${broken_link})
# # Expand path_file and remove prefix presents in broken_link variable
# # ex: path_file = /usr/share/plymouth/themes/le-text/le-text.plymouth
# # $(dirname broken_link) = ./usr/share/plymouth/themes/
# # so relative_path = le-text/le-text.plymouth
# # parameter expansion used "${PARAMETER#PATTERN}" remove substring from PARAMETER that matches with PATTHERN
# link_dir=$(dirname ${broken_link})
# link_name=$(basename ${broken_link})
# cd ${link_dir}
# relative_path=${path_file#*${link_dir#.}/}
# rm ${link_name}
# ln -s ${relative_path} ${link_name}
# cd -
#done
find . | cpio --quiet -o -H newc | lzma -7 > ../initrd.lz
cd ..
cp initrd.lz ${TMP}/image/casper/initrd.lz || exit 1
exit 0
......@@ -46,6 +46,7 @@ chroot ${CHROOTDIR} apt-get --download-only -y install le-conf
chroot ${CHROOTDIR} apt-get --download-only -y install le-multiterminal
mv ${CHROOTDIR}/var/cache/apt/archives/*.deb ${PREFIX}/packages-needed/
chroot ${CHROOTDIR} apt-get clean
chroot ${CHROOTDIR} apt-get update
cp -r packages-needed ${TMP}/image/
cp -a packages-needed ${TMP}/image/
exit 0
......@@ -48,13 +48,20 @@ cp /usr/lib/syslinux/modules/bios/ldlinux.c32 ${TMP}/image/isolinux/ || exit 1
cp src/isolinux.txt ${TMP}/image/isolinux/ || exit 1
cp src/isolinux/* ${TMP}/image/isolinux/ || exit 1
cp src/keyboard ${CHROOTDIR}/etc/default/
printf $(sudo du -sx --block-size=1 ${CHROOTDIR} | cut -f1) > ${TMP}image/casper/filesystem.size || exit 1
set -x
printf $(sudo du -s --block-size=1 ${CHROOTDIR} | cut -f1) > ${TMP}image/casper/filesystem.size || exit 1
set +x
cp src/README.diskdefines ${TMP}/image/ || exit 1
touch ${TMP}/image/ubuntu || exit 1
set -x
#touch ${TMP}/image/ubuntu || exit 1
pushd ${TMP}/image/
ln -s . ubuntu
set +x
popd
mkdir ${TMP}/image/.disk
touch ${TMP}/image/.disk/base_installable || exit 1
echo "full_cd/single" > ${TMP}/image/.disk/cd_type || exit 1
echo "Linux-Educacional 6.0" > ${TMP}/image/.disk/info || exit 1
echo "Linux-Educacional 6.1.0" > ${TMP}/image/.disk/info || exit 1
echo "https://linuxeducacional.c3sl.ufpr.br" > ${TMP}/image/.disk/release_notes_url || exit 1
#Change label on grub menu
......@@ -62,12 +69,14 @@ sed -i "s/GRUB_DISTRIBUTOR=.*/GRUB_DISTRIBUTOR=\"${DISTRO//_/ }\"/" ${CHROOTDIR}
sed -i "s/PRETTY_NAME=.*/PRETTY_NAME=\"${DISTRO//_/ }\"/" ${CHROOTDIR}/usr/lib/os-release
cp src/lsb-release ${CHROOTDIR}/etc/
# Disable apport
sed -i 's/enabled=.*/enabled=0/' ${CHROOTDIR}/etc/default/apport
# Setup CD repository
wget -xr -np -R "index.html*" --cut-dirs=1 http://repo.c3sl.ufpr.br/le6/dists/
wget -xr -np -R "index.html*" --cut-dirs=1 http://repo.c3sl.ufpr.br/le6/pool/
cp -r repo.c3sl.ufpr.br/pool ${TMP}/image/ || exit 1
cp -r repo.c3sl.ufpr.br/dists ${TMP}/image/ || exit 1
#wget -xr -np -R "index.html*" --cut-dirs=1 http://repo.c3sl.ufpr.br/le6/dists/
#wget -xr -np -R "index.html*" --cut-dirs=1 http://repo.c3sl.ufpr.br/le6/pool/
#cp -r repo.c3sl.ufpr.br/pool ${TMP}/image/ || exit 1
#cp -r repo.c3sl.ufpr.br/dists ${TMP}/image/ || exit 1
cp -r ${PREFIX}/cdrom-repository/* ${TMP}/image/ || exit 1
exit 0
......@@ -47,6 +47,6 @@ cp ${OURSOURCESLIST} ${CHROOTDIR}/etc/apt/sources.list.d/
addToChrootFile $CHROOTFILE "wget -O- http://repo.c3sl.ufpr.br/le6/le.c3sl.ufpr.br.key | apt-key add -"
addToChrootFile $CHROOTFILE "apt-get update"
#addToChrootFile $CHROOTFILE "apt-get -y dist-upgrade"
#addToChrootFile $CHROOTFILE "apt-get -y upgrade"
exit 0
......@@ -4,11 +4,11 @@
###### Ubuntu Main Repos
deb http://br.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ xenial main restricted universe multiverse
deb http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial main restricted universe multiverse
deb-src http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial main restricted universe multiverse
###### Ubuntu Update Repos
deb http://br.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ xenial-updates main restricted universe multiverse
deb http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial-security main restricted universe multiverse
deb http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial-updates main restricted universe multiverse
deb-src http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial-security main restricted universe multiverse
deb-src http://ubuntu.c3sl.ufpr.br/ubuntu/ xenial-updates main restricted universe multiverse
deb http://repo.c3sl.ufpr.br/le6/ testing main
deb-src http://repo.c3sl.ufpr.br/le6/ testing main
deb http://repo.c3sl.ufpr.br/le6/ stable main
deb-src http://repo.c3sl.ufpr.br/le6/ stable main
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.04
DISTRIB_CODENAME=xenial
DISTRIB_DESCRIPTION="Linux Educacional 6.1.0"
ubiquity ubiquity/use_nonfree boolean true
d-i apt-setup/backports boolean false
ubiquity ubiquity/success_command \
string in-target apt-get -y autoremove; \
packages_dir=$(find /cdrom/ -type d -name "packages-needed") && \
cp -a ${packages_dir}/* /target/var/cache/apt/archives/ && \
in-target apt-get -y install le-conf; \
if grep -qi "multiseat" /etc/default/multiseat; then \
in-target DEBIAN_FRONTEND=noninteractive; \
apt-get install -q -y le-multiterminal; \
string in-target apt-get update --yes; \
if [ ! -f "/target/cdrom/.disk/info" ]; then \
if ! mount --bind /cdrom /target/cdrom; then \
echo "Failed binding /cdrom in /target/cdrom!" 1>&2; \
fi; \
if [ ! -f "/target/media/cdrom" ]; then \
cd "/target/media"; \
ln --symbolic "/cdrom"; \
cd -; \
fi; \
fi; \
in-target apt-cdrom add --fast --no-mount </dev/null; \
in-target apt-get install --yes le-conf; \
if grep -qi "multiseat" "/etc/default/multiseat"; then \
in-target apt-get install --yes le-multiterminal; \
fi; \
umount "/target/cdrom"; \
unlink "/target/media/cdrom"; \
sed -i "/^deb cdrom:/s/^/#/" /target/etc/apt/sources.list; \
sed -i 's/enabled=.*/enabled=0/' /target/etc/default/apport; \
in-target apt-get autoremove --yes; \
in-target apt-get clean
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment